/ lang / clong
CLong
Syntax

    lResult = CLong ( Expression AS Variant ) AS Long
    lResult = CLng ( Expression AS Variant ) AS Long

Converts an expression into a Long integer number.

| Overflow is not detected.

### Errors

Message | Description
--- | ---
Type mismatch (#6) | Expression cannot be converted.

### Examples

    PRINT CLong(PI)
    <hr>3

    PRINT CLong(Pi ^ (Pi ^ Pi))
    <hr>1340164183006339840

### See also

Conversion Functions